AbstractResource (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.AbstractResource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface AbstractResource

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface AbstractResource

extends ModelObject

Naming Rules:
  0="externalSystemName,externalIdentity"
Persistable:
  true
Table Name:
  ABSTRACTRES

Method Summary
`java.lang.String` | `getAttributeXMLSet()`
`java.lang.String` | `getExternalIdentity()`
`java.lang.String` | `getExternalSystemName()`
`java.lang.String` | `getIdentityString()`
`java.lang.String` | `getInstanceTypeSuggestion()`
`boolean` | `hasAttributeXMLSet()`
`boolean` | `hasExternalIdentity()`
`boolean` | `hasExternalSystemName()`
`boolean` | `hasIdentityString()`
`boolean` | `hasInstanceTypeSuggestion()`
`void` | `setAttributeXMLSet(java.lang.String name)`
`void` | `setExternalIdentity(java.lang.String name)`
`void` | `setExternalSystemName(java.lang.String name)`
`void` | `setIdentityString(java.lang.String name)`
`void` | `setInstanceTypeSuggestion(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getExternalSystemName

    java.lang.String getExternalSystemName()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalSystemName

    void setExternalSystemName(java.lang.String name)

### hasExternalSystemName

    boolean hasExternalSystemName()

### getExternalIdentity

    java.lang.String getExternalIdentity()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalIdentity

    void setExternalIdentity(java.lang.String name)

### hasExternalIdentity

    boolean hasExternalIdentity()

### getIdentityString

    java.lang.String getIdentityString()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIdentityString

    void setIdentityString(java.lang.String name)

### hasIdentityString

    boolean hasIdentityString()

### getInstanceTypeSuggestion

    java.lang.String getInstanceTypeSuggestion()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInstanceTypeSuggestion

    void setInstanceTypeSuggestion(java.lang.String name)

### hasInstanceTypeSuggestion

    boolean hasInstanceTypeSuggestion()

### getAttributeXMLSet

    java.lang.String getAttributeXMLSet()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAttributeXMLSet

    void setAttributeXMLSet(java.lang.String name)

### hasAttributeXMLSet

    boolean hasAttributeXMLSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD